<?php

namespace App\JsonRpc;

interface OrderServiceInterface
{
   
    /**
     * @param array $data
     */
    public function getAD(array $data);
    /**
     * @param array $data
     */
    public function getWebsiteAd(array $data);
    /**
     * @param array $data
     */
    public function getOrderListAdmin(array $data);
    /**
     * @param array $data
     */
    public function getOrderDetailAdmin(array $data);
    /**
     * @param array $data
     */
    public function applyOrderStatusAdmin(array $data);
    /**
     * @param array $data
     */
    public function editPriceOrderAdmin(array $data);
    /**
     * @param array $data
     */
    public function rejectOrderAdmin(array $data);
    /**
     * @param array $data
     */
    public function endOrderAdmin(array $data);
    /**
     * @param array $data
     */
    public function delOrderAdmin(array $data);

    /**
     * @param array $data
     */
    public function getPrice(array $data);
    
    /**
     * @param array $data
     */
    public function addAD(array $data);
    /**
     * @param array $data
     */
    public function getOrderList(array $data);
    /**
     * @param array $data
     */
    public function getOrderDetail(array $data);
    /**
     * @param array $data
     */
    public function cancelOrder(array $data);
    /**
     * @param array $data
     */
    public function delOrderAD(array $data);

    
    /**
     * @param array $data
     */
    public function addShoppingCart(array $data);
    /**
     * @param array $data
     */
    public function getShoppingCartAD(array $data);
    /**
     * @param array $data
     */
    public function addShoppingCartAD(array $data);
    /**
     * @param array $data
     */
    public function delShoppingCartAD(array $data);
    /**
     * @return mixed
     */
    public function getAdSize();
}
