<?php

declare(strict_types=1);

namespace App\Model;

use Hyperf\DbConnection\Model\Model;

/**
 */
class UserToken extends Model
{
    /**
     * The table associated with the model.
     */
    protected ?string $table = 'user_token';

    /**
     * The attributes that are mass assignable.
     */
    protected array $fillable = [
        'user_id', // 添加 user_id 到 fillable 属性
        'token',
    ];

    /**
     * The attributes that should be cast to native types.
     */
    protected array $casts = [];
}
