<?php

declare (strict_types = 1);
use Hyperf\HttpServer\Router\Router;
Router::addGroup(
    '/api', function () {
        Router::post('/login', 'App\Controller\LoginController@login');
    },
    ['middleware' => [\App\Middleware\Auth\PublicMiddleware::class]]
);

Router::post('/api/checkVerifyCode', 'App\Controller\LoginController@checkVerifyCode');
Router::addRoute(['GET', 'POST'], '/getverifyCode', 'App\Controller\IndexController@getverifyCode');
Router::post('/api/registerOrLogin', 'App\Controller\LoginController@registerOrLogin');
Router::post('/api/getToken', 'App\Controller\LoginController@getToken');

//查询登陆状态
Router::get('/api/loginStatus', 'App\Controller\LoginController@loginStatus');
//登陆存储
Router::get('/api/loginapi', 'App\Controller\LoginController@loginapi');
//退出登陆
Router::get('/api/logoutapi', 'App\Controller\LoginController@logoutapi');
//跳转登陆
Router::get('/api/goLogin', 'App\Controller\LoginController@goLogin');
//退出登陆
Router::get('/api/logout', 'App\Controller\LoginController@logout');
//返回登陆
Router::get('/api/backlogin', 'App\Controller\LoginController@backlogin');

