<?php

namespace App\JsonRpc;

interface ChatServiceInterface
{
    /**
     * 添加好友申请
     * @param array $data
     * @return array
     */
    public function addFriend(array $data);
    public function getFriendsList(array $data);
    public function applyFriend(array $data);
    public function delFriend(array $data);
    public function isFriend(array $data);
    public function updateFriend(array $data);
    public function searchFriend(array $data);
    public function addChatRecords(array $data);
    public function getConversation(array $data);
    public function getChatRecords(array $data);
    public function getGroupList(array $data);
    public function getGroupInfo(array $data);
    public function addGroup(array $data);
    public function getGroupMembers(array $data);
    public function getFriendsApplyList(array $data);
    public function updateGroup(array $data);
    public function delGroup(array $data);
    public function quitGroup(array $data);
    public function joinGroup(array $data);
    public function delGroupMembers(array $data);
    public function getFriendInfo(array $data);
    public function getTopicsList(array $data);
    public function addTopic(array $data);
    public function updateTopic(array $data);
    public function delTopic(array $data);
    public function getTopicInfo(array $data);
    public function addReply(array $data);
    public function getTopicReply(array $data);
    public function getGroupChatRecords(array $data);
    public function updateGroupMembers(array $data);
    public function clearRecords(array $data);
    public function recallRecord(array $data);
    public function clearGroupRecords(array $data);
    public function delRecords(array $data);
    public function getRecord(array $data);
    public function getGroupApplyList(array $data);
    public function delReply(array $data);
    public function delAllReply(array $data);
    public function getTopicsListAdmin(array $data);
    public function applyTopic(array $data);

    public function getTopicClassList(array $data);
    public function addTopicClass(array $data);
    public function updateTopicClass(array $data);
    public function deleteTopicClass(array $data);
    public function getTopicClassInfo(array $data);

}
