<?php

namespace App\JsonRpc;

interface NewsServiceInterface
{

  /**
   * @param array $data
   */
  public function getCategoryList(array $data);

  /**
   * @param array $data
   */
  public function myCategoryList(array $data);
  /**
   * @param array $data
   */
  public function categoryList(array $data);

  /**
   * @param array $data
   */
  public function addCategory(array $data);

  /**
   * @param array $data
   */
  public function delCategory(array $data);

  /**
   * @param array $data
   */
  public function updateCategory(array $data);

  /**
   * @param array $data
   */
  public function getArticleList(array $data);

  /**
   * @param array $data
   */
  public function addArticle(array $data);

  /**
   * @param array $data
   */
  public function delArticle(array $data);
  /**
   * @param array $data
   */
  public function updateArticle(array $data);
  /**
   * @param array $data
   */
  public function getArticleInfo(array $data);
  /**
   * @param array $data
   * @return mixed
   */
  public function getCategoryInfo(array $data);
  /**
   * @param array $data
   *
   */
  public function getWebsiteArticlett(array $data);
  /**
   * @param array $data
   */
  public function getWebsiteModelArticles(array $data);

  /**
   * @param array $data
   * @return mixed
   */
  public function upArticleStatus(array $data);

  /**
   * @param array $data
   * @return mixed
   */
  public function getWebsiteArticleList(array $data);
  /**
   * @param array $data
   * @return mixed
   */
  public function selectWebsiteArticleInfo(array $data);
  /**
   * @param array $data
   * @return mixed
   */
  public function getWebsiteSurvey(array $data);
  /**
   * @param array $data
   * @return mixed
   */
  public function addWebsiteSurveyOption(array $data);
  /**
   * @param array $data
   * @return mixed
   */
  public function addWebsiteSurveyVote(array $data);
  /**
   * @param array $data
   * @return mixed
   */
  public function getSurveyList(array $data);
  /**
   * @param array $data
   * @return mixed
   */
  public function getSurveyInfo(array $data);
  /**
   * @param array $data
   * @return mixed
   */
  public function selectWebsiteArticle(array $data);
  /**
   * @param array $data
   * @return mixed
   */
  public function getWebsiteCatidArticle(array $data);
  /**
   * @param array $data
   * @return mixed
   */
  public function getWebsiteAllArticle(array $data);
  /**
   * @param array $data
   * @return mixed
   */
  public function getWebsiteArticles(array $data);
    /**
     * @param array $data
     * @return mixed
     */
    public function getWebsiteshop(array $data);
    /*
    * @param array $data
    * @return mixed
    */
    public function getWebsiteshopCat(array $data);
    /**
     * @param array $data
     * @return mixed
     */
    public function getWebsiteshopList(array $data);
    /**
     * @param array $data
     * @return mixed
     */
    public function getWebsiteshopInfo(array $data);

  /**
   * @param array $data
   * @return mixed
   */
  public function checkCategoryName(array $data);

  //20250226  产品列表
  public function getGoodList(array $data);
  public function getGoodInfo(array $data);
  public function addGood(array $data);
  public function updateGood(array $data);
  public function delGood(array $data);
  //20250226  产品列表
  //20250306  求职信息
  public function getJobHuntingList(array $data);
  public function getJobHuntingInfo(array $data);
  public function addJobHunting(array $data);
  public function updateJobHunting(array $data);
  public function delJobHunting(array $data);
  public function getJobHuntingData(array $data);

  //20250324  通知，公告，消息
  public function getNoticeList(array $data);
  public function getNoticeInfo(array $data);
  public function addNotice(array $data);
  public function updateNotice(array $data);
  public function deleteNotice(array $data);
  public function getMSG(array $data);
  public function getComplaintList(array $data);
  public function getComplaintInfo(array $data);
  public function addComplaint(array $data);
  public function updateComplaint(array $data);
  public function deleteComplaint(array $data);
  public function updateJobHuntingStatus(array $data);
  public function updateNoticeStatus(array $data);
  public function updateComplaintStatus(array $data);
  public function updateGoodStatus(array $data);
  public function getDUser(array $data);
  //20250324  通知，公告，消息

  /**
   * @param array $data
   * @return mixed
   */
  public function getJobRecruitingList(array $data);
  /**
   * @param array $data
   * @return mixed
   */
  public function getJobRecruitingInfo(array $data);
  /**
   * @param array $data
   * @return mixed
   */
  public function addJobRecruiting(array $data);

  /**
   * @param array $data
   * @return mixed
   */
  public function getJobRecruitingArea(array $data);
  /**
   * @param array $data
   * @return mixed
   */
  public function getIndustry(array $data);
  /**
   * @param array $data
   * @return mixed
   */
  public function getPositionList(array $data);
  /**
   * @param array $data
   * @return mixed
   */
  public function getJobNature(array $data);
  /**
   * @param array $data
   * @return mixed
   */
  public function getExperience(array $data);
  /**
   * @param array $data
   * @return mixed
   */
  public function getEducation(array $data);
  /**
   * @param array $data
   * @return mixed
   */
  public function getSalary(array $data);
  /**
   * @param array $data
   * @return mixed
   */
  public function getLanguage(array $data);
  /**
   * @param array $data
   * @return mixed
   */
  public function getLevel(array $data);
  /**
   * @param array $data
   * @return mixed
   */
  public function getCompanySize(array $data);
  /**
   * @param array $data
   * @return mixed
   */
  public function getCompanyNature(array $data);
  /**
   * @param array $data
   * @return mixed
   */
  public function upJobRecruiting(array $data);
  /**
   * @param array $data
   * @return mixed
   */
  public function delJobRecruiting(array $data);
  /**
   * @param array $data
   * @return mixed
   */
  public function getJobCompany(array $data);
  /**
   * @param array $data
   * @return mixed
   */
  public function upJobCompany(array $data);
  /**
   * @param array $data
   * @return mixed
   */
  public function checkJobRecruiting(array $data);

  //20250422  书刊音像
  public function getBookList(array $data);
  public function addBook(array $data);
  public function getBookInfo(array $data);
  public function deleteBook(array $data);
  public function updateBook(array $data);
  public function updateBookStatus(array $data);
  //20250422  书刊音像
}
