<?php

namespace App\JsonRpc;

interface PublicRpcServiceInterface
{
    /**
     * @param array $data
     */
    public function getDistrictList(array $data);
    /**
     * @param array $data
     */
    public function getUserLevelList(array $data);
    /**
     * @param array $data
     */
    public function addUserLevel(array $data);

    /**
     * @param array $data
     */
    public function delUserLevel(array $data);

    /**
     * @param array $data
     */
    public function updateUserLevel(array $data);

    /**
     * @param array $data
     * @return mixed
     */
    public function getLetterOfComplaint(array $data);

    /**
     * @param array $data
     * @return mixed
     */
    public function addLetterOfComplaint(array $data);

    /**
     * @param array $data
     * @return mixed
     */
    public function upLetterOfComplaint(array $data);

    /**
     * 用户端更新投诉举报信息
     * @param array $data
     * @return mixed
     */
    public function userUpLetterOfComplaint(array $data);

    /**
     * @param array $data
     * @return mixed
     */
    public function getLetterOfComplaintInfo(array $data);

    /**
     * @param array $data
     * @return mixed
     */
    public function delLetterOfComplaint(array $data);
    /**
     * @param array $data
     * @return mixed
     */
    public function getLetterType(array $data);

    /**
     * @param array $data
     * @return mixed
     */
    public function upLetterType(array $data);

    /**
     * @param array $data
     * @return mixed
     */
    public function addLetterType(array $data);
    /**
     * @param array $data
     * @return mixed
     */
    public function delLetterType(array $data);
    /**
     * @param array $data
     * @return mixed
     */
    public function checkMeasure(array $data);
    /**
     * @param array $data
     * @return mixed
     */
    public function getDepartment(array $data);

    /**
     * @param array $data
     * @return mixed
     */
    public function getZhinengbumenList(array $data);

    /**
     * @param array $data
     * @return mixed
     */
    public function addZhinengbumen(array $data);

    /**
     * @param array $data
     * @return mixed
     */
    public function getZhinengbumen(array $data);

    /**
     * @param array $data
     * @return mixed
     */
    public function getPidZhinengbumen(array $data);

    /**
     * @param array $data
     * @return mixed
     */
    public function delZhinengbumen(array $data);
    /**
     *
     */
    public function modZhinengbumen(array $data);

    public function getTemplateClass(array $data);
    public function getTemplateList(array $data);
    public function getTemplateInfo(array $data);
    public function addTemplate(array $data);
    public function delTemplate(array $data);
    public function updateTemplate(array $data);
    public function getSectorList(array $data);
    public function getSectorInfo(array $data);
    public function addSector(array $data);
    public function delSector(array $data);
    public function updateSector(array $data);
    public function getComponentList(array $data);
    public function getComponentInfo(array $data);
    public function addComponent(array $data);
    public function delComponent(array $data);
    public function updateComponent(array $data);
    public function getWebsiteTemplateList(array $data);
    public function getWebsiteTemplateInfo(array $data);


    /**
     * @param array $data
     * @return mixed
     */
    public function getBuckets(array $data);

    /**
     * @param array $data
     * @return mixed
     */
    public function uploadFile(array $data);

    public function getBlackWordList(array $data);
    public function addBlackWord(array $data);
    public function delBlackWord(array $data);
    public function upBlackWord(array $data);
    public function getIpInfo(array $data);
    public function getWeatherInfo(array $data);
    public function getCalendar(array $data);

}
